Arch 3Views/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/ru |Toggle IFC Brep flag |Create IFC spreadsheet... |Arch |IconL=Arch_ToggleIfcBrepFlag.svg |Ic...")
(Updating to match new version of source page)
Line 81: Line 81:
}}
}}


{{Arch Tools navi/ru}}
{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi/ru}}
{{Userdocnavi{{#translation:}}}}

Revision as of 18:11, 19 February 2020

Arch: 3Views/3 D Просмотры

Системное название
Arch 3Views
Расположение в меню
Архитектура → Утилиты → 3 Views from mesh
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Arch SplitMesh, Arch MeshToShape

Описание

Эта команда в настоящее время не используется. Она служит для создания плоских, базирующихся на форме видов из полигональных объектов, для использования инструментами Arch Equipment.

Использование

  1. Select a Mesh object.
  2. Select the button, or ArchUtilities 3Views from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Creates a flat shape that is the projection of the given mesh object (obj) in the given direction.
  • If outeronly is True only the outer contour is taken into consideration, discarding the inner holes.
  • If largestonly is True only the largest segment of the given mesh will be used.

Use Part.show() to display the resulting flat shape.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False